From 01d7ddb54fc8a523bc3c0787fb1a1d055b579a38 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tv@fuzzy.cz>
Date: Tue, 18 Jun 2024 23:37:24 +0200
Subject: [PATCH v22b 22/29] review

---
 src/backend/executor/nodeBitmapHeapscan.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/backend/executor/nodeBitmapHeapscan.c b/src/backend/executor/nodeBitmapHeapscan.c
index ed86e4bac11..79229f9f538 100644
--- a/src/backend/executor/nodeBitmapHeapscan.c
+++ b/src/backend/executor/nodeBitmapHeapscan.c
@@ -87,6 +87,10 @@ BitmapHeapNext(BitmapHeapScanState *node)
 		/*
 		 * Maximum number of prefetches for the tablespace if configured,
 		 * otherwise the current value of the effective_io_concurrency GUC.
+		 *
+		 * XXX Why do we protect this with the ifdef? The prefetches are
+		 * still protected by the same ifdef anyway, and we didn't do that
+		 * before this patch.
 		 */
 #ifdef USE_PREFETCH
 		Relation	rel = node->ss.ss_currentRelation;
@@ -115,6 +119,9 @@ BitmapHeapNext(BitmapHeapScanState *node)
 			/*
 			 * Two iterators are used -- one for the pages being scanned and
 			 * one for the blocks being prefetched.
+			 *
+			 * XXX Is this comment needed? The one a bit further down says
+			 * about the same thing, no?
 			 */
 
 			/*
-- 
2.45.2

